[Unit]
Description=mpv {{ player.id }}
PartOf=interactive.target
{% for controller in mpv_controllers %}
{%   for p in controller.players %}
{%     if p == player.id %}
Requires=mpv-udp-{{ controller.id }}.service
{%     endif %}
{%   endfor %}
{% endfor %}

[Service]
Type=simple
WorkingDirectory={{ player_dir }}
ExecStart=/usr/bin/mpv --include=./mpv.conf --playlist={{ mpv_default_list | default('./show.list') }}
ExecStartPost=/usr/local/bin/set-sink-input-volume ${MAINPID} '{{ player.volume | default('100%') }}'
Restart=always
KillMode=control-group
SuccessExitStatus=4

[Install]
WantedBy=interactive.target
